## org.apache.lucene.benchmark.byTask.tasks
Class ReadTokensTask

    java.lang.Object
      org.apache.lucene.benchmark.byTask.tasks.PerfTask
          org.apache.lucene.benchmark.byTask.tasks.ReadTokensTask

All Implemented Interfaces:
  java.lang.Cloneable

    public class ReadTokensTask

extends PerfTask

Simple task to test performance of tokenizers. It just creates a token stream for each field of the document and read all tokens out of that stream.

Field Summary

Fields inherited from class org.apache.lucene.benchmark.byTask.tasks.PerfTask
`logStep, NEW_LINE, params`

Constructor Summary
`ReadTokensTask(PerfRunData runData)`

Method Summary
`int` `doLogic()` Perform the task once (ignoring repetitions specification) Return number of work items done by this task.
`protected java.lang.String` `getLogMessage(int recsCount)`
`void` `setup()` Task setup work that should not be measured for that specific task.
`void` `tearDown()` Task tearDown work that should not be measured for that specific task.

Methods inherited from class org.apache.lucene.benchmark.byTask.tasks.PerfTask
`clone, close, getDepth, getName, getParams, getRunData, isDisableCounting, runAndMaybeStats, setDepth, setDisableCounting, setName, setParams, shouldNeverLogAtStart, shouldNotRecordStats, supportsParams, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ReadTokensTask

    public ReadTokensTask(PerfRunData runData)

Method Detail

### setup

    public void setup()
               throws java.lang.Exception

  Description copied from class: `PerfTask`
  Task setup work that should not be measured for that specific task. By default it does nothing, but tasks can implement this, moving work from doLogic() to this method. Only the work done in doLogicis measured for this task. Notice that higher level (sequence) tasks containing this task would then measure larger time than the sum of their contained tasks.

  Overrides:
    `setup` in class `PerfTask`
  Throws:
    `java.lang.Exception`

### getLogMessage

    protected java.lang.String getLogMessage(int recsCount)

  Overrides:
    `getLogMessage` in class `PerfTask`

### tearDown

    public void tearDown()
                  throws java.lang.Exception

  Description copied from class: `PerfTask`
  Task tearDown work that should not be measured for that specific task. By default it does nothing, but tasks can implement this, moving work from doLogic() to this method. Only the work done in doLogicis measured for this task. Notice that higher level (sequence) tasks containing this task would then measure larger time than the sum of their contained tasks.

  Overrides:
    `tearDown` in class `PerfTask`
  Throws:
    `java.lang.Exception`

### doLogic

    public int doLogic()
                throws java.lang.Exception

  Description copied from class: `PerfTask`
  Perform the task once (ignoring repetitions specification) Return number of work items done by this task. For indexing that can be number of docs added. For warming that can be number of scanned items, etc.

  Specified by:
    `doLogic` in class `PerfTask`
  Returns:
    number of work items done by this task.
  Throws:
    `java.lang.Exception`

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.